

#include "BUILTIN.h"
extern OBJ __AGlobSigImpl_25;

#include "Nat.h"
extern OBJ __AOcError_15;
extern OBJ _AOcError_21(OBJ,OBJ);extern OBJ __AOcError_21;
extern OBJ _APartName_22(OBJ);extern OBJ __APartName_22;
extern OBJ _AImpl_84(OBJ);extern OBJ __AImpl_84;
extern OBJ _AImpl_92(OBJ);extern OBJ __AImpl_92;
extern OBJ _AImpl_102(OBJ);extern OBJ __AImpl_102;
extern OBJ _AImpl_103(OBJ);extern OBJ __AImpl_103;

#include "Bitset.h"
extern OBJ _ACandidates_15(OBJ,OBJ);extern OBJ __ACandidates_15;
extern OBJ __ACandidates_18;
extern TUP2 _ACandidates_20(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __ACandidates_20;
extern TUP2 _ACandidates_22(OBJ,OBJ,OBJ,OBJ);extern OBJ __ACandidates_22;
extern TUP2 _ACandidates_28(OBJ);extern OBJ __ACandidates_28;
extern OBJ _ADArray_14(OBJ,OBJ,OBJ);extern OBJ __ADArray_14;
extern OBJ __ASeq_6;

#include "Array.h"
extern OBJ _ASeqMap_3(OBJ,OBJ);extern OBJ __ASeqMap_3;
extern TUP3 _ATypeDepExprAnalysis_1(OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __ATypeDepExprAnalysis_1;
extern TUP4 _ATypeDepExprAnalysis_2(OBJ,OBJ,OBJ,OBJ);extern OBJ __ATypeDepExprAnalysis_2;
extern TUP4 _ATypeDepExprAnalysis_3(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __ATypeDepExprAnalysis_3;
extern TUP5 _ATypeDepExprAnalysis_4(OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __ATypeDepExprAnalysis_4;
extern TUP5 _ATypeDepExprAnalysis_5(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __ATypeDepExprAnalysis_5;
extern TUP3 _ATypeDepExprAnalysis_8(OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __ATypeDepExprAnalysis_8;
extern TUP4 _ATypeDepExprAnalysis_36(OBJ,OBJ,OBJ,OBJ);extern OBJ __ATypeDepExprAnalysis_36;
extern OBJ __ASubstitution_2;
extern TUP2 _ASubstitution_4(OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __ASubstitution_4;
extern OBJ _ADArrayReduce_6(OBJ,OBJ,OBJ);extern OBJ __ADArrayReduce_6;

#include "Denotation.h"

#include "Char.h"

#include "Int.h"
extern TUP3 _ATypeDepFormAnalysis_1(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __ATypeDepFormAnalysis_1; /* analyze */
extern TUP4 _ATypeDepFormAnalysis_2(OBJ,OBJ,OBJ,OBJ);OBJ __ATypeDepFormAnalysis_2; /* substitute */
extern TUP4 _ATypeDepFormAnalysis_5(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __ATypeDepFormAnalysis_5; /* combEqual */
extern TUP4 _ATypeDepFormAnalysis_6(OBJ,OBJ,OBJ,OBJ);OBJ __ATypeDepFormAnalysis_6; /* combOk */
extern TUP4 _ATypeDepFormAnalysis_7(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __ATypeDepFormAnalysis_7; /* analyzePair */
extern TUP5 _ATypeDepFormAnalysis_8(OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __ATypeDepFormAnalysis_8; /* substitutePair */

extern TUP3 _ATypeDepFormAnalysis_1(register OBJ x1,register OBJ x2,register OBJ x3,register OBJ x4,register OBJ x5) /* analyze */
{TUP3 r;
 for(;;){
  switch(TGPRD(x1)){
   case 4:case 5:case 7:
    CPPRD(x1,2);
    COPY(x2,1);
    CPCLS(__ATypeDepFormAnalysis_6,1);
    {OBJ x998;OBJ x999;OBJ x1000;TUP4 x1002;
     x998=_AImpl_84(x1);
     x999=_AImpl_103(x1);
     x1000=_AImpl_102(x1);
     x1002=_ATypeDepFormAnalysis_7(x999,x1000,x2,x3,x4,x5);r.c2=x1002.c3;
     {TUP2 t=_ACandidates_20(__ACandidates_18,x2,x998,x1002.c4,__ATypeDepFormAnalysis_6,x1002.c1,x1002.c2);
      r.c1=t.c1;
      r.c3=t.c2;}}break;
   case 8:case 9:
    {OBJ x1009=FLD(x1,1);
     COPY(x1009,2);
     CPPRD(x1,1);
     COPY(x2,4);
     CPCLS(__ATypeDepFormAnalysis_6,1);
     CPCLS(__APartName_22,1);
     {OBJ x1012;OBJ x1013;OBJ x1014;TUP5 x1016;TUP3 x1022;TUP3 x1026;TUP2 x1030;
      x1012=_AImpl_84(x1);
      COPY(x1012,1);
      x1013=_AImpl_92(x1);
      x1014=_ASeqMap_3(__APartName_22,x1009);
      x1016=_ATypeDepExprAnalysis_5(x1009,x1012,x2,x3,x4,x5);
      x1022=_ATypeDepExprAnalysis_8(x2,x1014,x1016.c1,x1016.c2,x1016.c4);
      x1026=_ATypeDepFormAnalysis_1(x1013,x2,x1022.c2,x1016.c3,x1022.c3);r.c2=x1026.c2;
      x1030=_ACandidates_20(__ACandidates_18,x2,x1012,x1026.c3,__ATypeDepFormAnalysis_6,x1022.c1,x1026.c1);
      {TUP2 t=_ACandidates_22(x2,x1030.c2,x1016.c5,x1030.c1);
       r.c1=t.c1;
       r.c3=t.c2;}}}break;
   case 10:
    FREE(x3,1);
    {OBJ x1037;
     x1037=_AImpl_84(x1);
     if(ISPRD(x2)&&(ISTGPRD(x2,2))){
      {OBJ x1048=FLD(x2,11);
       if(EXPRD(x2,1)){
	FLD(x2,11)=NIL;DSPRD(x2);
       }else{
	COPY(x1048,1);
	FRPRD(x2,1);}
       CPPRD(__ASubstitution_2,1);
       {OBJ x1052;OBJ x1053;OBJ x1054;
	PRD(1,0,x1052);FLD(x1052,1)=x1048;
	PRD1(2,x1053);FLD1(x1053,1)=x1052;FLD1(x1053,2)=__ASubstitution_2;
	PRD1(2,x1054);FLD1(x1054,1)=x1053;FLD1(x1054,2)=__ASeq_6;
	r.c1=_ACandidates_15(x1054,x1037);
	r.c2=x4;r.c3=x5;}}
     }else{
      HLT("GlobSig at <unknown> : undefined selection denotation\'GlobSig:globSig->name");}}break;
   case 6:
    CPPRD(x1,2);
    COPY(x2,1);
    CPCLS(__ATypeDepFormAnalysis_6,1);
    {OBJ x1099;OBJ x1100;OBJ x1101;TUP4 x1103;
     x1099=_AImpl_102(x1);
     x1100=_AImpl_103(x1);
     x1101=_AImpl_84(x1);
     x1103=_ATypeDepFormAnalysis_7(x1100,x1099,x2,x3,x4,x5);r.c2=x1103.c3;
     {TUP2 t=_ACandidates_20(__ACandidates_18,x2,x1101,x1103.c4,__ATypeDepFormAnalysis_6,x1103.c1,x1103.c2);
      r.c1=t.c1;
      r.c3=t.c2;}}break;
   case 1:
    {OBJ x1124=FLD(x1,1);OBJ x1125=FLD(x1,2);
     CPPRD(x1124,1);CPPRD(x1125,1);
     COPY(x2,2);
     CPCLS(__ATypeDepFormAnalysis_5,1);
     {OBJ x1127;OBJ x1128;TUP4 x1131;
      x1127=(*(OBJ(*)(OBJ,OBJ))METHOD(__ATypeDepFormAnalysis_5,1))(__ATypeDepFormAnalysis_5,x2);
      x1128=_AImpl_84(x1);
      x1131=_ATypeDepExprAnalysis_3(x1124,x1125,x2,x3,x4,x5);r.c2=x1131.c3;
      {TUP2 t=_ACandidates_20(__ACandidates_18,x2,x1128,x1131.c4,x1127,x1131.c1,x1131.c2);
       r.c1=t.c1;
       r.c3=t.c2;}}}break;
   case 2:
    {OBJ x1138=FLD(x1,1);OBJ x1139=FLD(x1,2);
     CPPRD(x1138,1);CPPRD(x1139,1);
     COPY(x2,2);
     CPCLS(__ATypeDepFormAnalysis_5,1);
     {OBJ x1142;OBJ x1143;TUP4 x1145;
      x1142=_AImpl_84(x1);
      x1143=(*(OBJ(*)(OBJ,OBJ))METHOD(__ATypeDepFormAnalysis_5,1))(__ATypeDepFormAnalysis_5,x2);
      x1145=_ATypeDepExprAnalysis_3(x1138,x1139,x2,x3,x4,x5);r.c2=x1145.c3;
      {TUP2 t=_ACandidates_20(__ACandidates_18,x2,x1142,x1145.c4,x1143,x1145.c1,x1145.c2);
       r.c1=t.c1;
       r.c3=t.c2;}}}break;
   case 0:
    {OBJ x1152=FLD(x1,1);
     if(EXPRD(x1,1)){
      FREE(FLD(x1,2),1);DSPRDF(x1);
     }else{
      CPPRD(x1152,1);
      FRPRD(x1,1);}
     r=_ATypeDepExprAnalysis_1(x1152,x2,x3,x4,x5);}break;
   case 11:
    HLT("TypeDepFormAnalysis at <unknown> : missing else in analyze\'TypeDepFormAnalysis:formula**globSig**knowl**nat**nat->cands**nat**nat");break;
   default: 
    {OBJ x994;
     x994=_AImpl_92(x1);
     x1=x994;continue;}}
  break;}
 return r;}
extern OBJ _ATypeDepFormAnalysis_1_c(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* analyze */
{OBJ r;
 {TUP3 t=_ATypeDepFormAnalysis_1(x1,x2,x3,x4,x5);
  PRD1(3,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;
  FLD1(r,3)=t.c3;}
 return r;}

extern TUP4 _ATypeDepFormAnalysis_2(register OBJ x1,register OBJ x2,register OBJ x3,register OBJ x4) /* substitute */
{TUP4 r;OBJ* p1=&r.c1;OBJ* p2=&r.c2;OBJ* p3=&r.c3;OBJ* p4=&r.c4;
 for(;;){
  switch(TGPRD(x1)){
   case 7:
    CPPRD(x1,2);
    {OBJ x921;OBJ x922;OBJ x923;
     x921=_AImpl_84(x1);
     x922=_AImpl_103(x1);
     x923=_AImpl_102(x1);
     PRD(3,7,*p1);FLD(*p1,3)=x921;
     {TUP5 t=_ATypeDepFormAnalysis_8(x922,x923,x2,x3,x4);
      FLD(*p1,1)=t.c1;
      FLD(*p1,2)=t.c2;
      *p2=t.c3;
      *p3=t.c4;
      *p4=t.c5;}}break;
   case 9:
    {OBJ x931=FLD(x1,1);
     COPY(x931,1);
     CPPRD(x1,1);
     CPCLS(__ADArray_14,1);
     {OBJ x935;OBJ x936;TUP2 x937;TUP4 x940;TUP4 x945;
      x935=_AImpl_84(x1);
      x936=_AImpl_92(x1);
      x937=_ACandidates_28(x2);
      x940=_ATypeDepExprAnalysis_36(x931,x937.c1,x3,x4);
      x945=_ATypeDepFormAnalysis_2(x936,x937.c2,x940.c2,x4);*p2=x945.c2;
      *p4=_AOcError_21(x940.c4,x945.c4);
      PRD(3,9,*p1);FLD(*p1,1)=x940.c1;FLD(*p1,2)=x945.c1;FLD(*p1,3)=x935;
      *p3=_ADArrayReduce_6(__ADArray_14,x940.c3,x945.c3);}}break;
   case 10:
    {OBJ x952=FLD(x1,1);
     CPPRD(x952,1);
     FRPRD(x2,1);
     CPPRD(__AOcError_15,1);
     CPPRD(__AGlobSigImpl_25,1);
     {OBJ x954;
      x954=_AImpl_84(x1);
      PRD(2,10,*p1);FLD(*p1,1)=x952;FLD(*p1,2)=x954;
      *p2=x3;*p3=__AGlobSigImpl_25;*p4=__AOcError_15;}}break;
   case 8:
    {OBJ x956=FLD(x1,1);
     COPY(x956,1);
     CPPRD(x1,1);
     CPCLS(__ADArray_14,1);
     {OBJ x960;OBJ x961;TUP2 x962;TUP4 x965;TUP4 x970;
      x960=_AImpl_84(x1);
      x961=_AImpl_92(x1);
      x962=_ACandidates_28(x2);
      x965=_ATypeDepExprAnalysis_36(x956,x962.c1,x3,x4);
      x970=_ATypeDepFormAnalysis_2(x961,x962.c2,x965.c2,x4);*p2=x970.c2;
      *p4=_AOcError_21(x965.c4,x970.c4);
      PRD(3,8,*p1);FLD(*p1,1)=x965.c1;FLD(*p1,2)=x970.c1;FLD(*p1,3)=x960;
      *p3=_ADArrayReduce_6(__ADArray_14,x965.c3,x970.c3);}}break;
   case 5:
    CPPRD(x1,2);
    {OBJ x980;OBJ x981;OBJ x982;
     x980=_AImpl_84(x1);
     x981=_AImpl_103(x1);
     x982=_AImpl_102(x1);
     PRD(3,5,*p1);FLD(*p1,3)=x980;
     {TUP5 t=_ATypeDepFormAnalysis_8(x981,x982,x2,x3,x4);
      FLD(*p1,1)=t.c1;
      FLD(*p1,2)=t.c2;
      *p2=t.c3;
      *p3=t.c4;
      *p4=t.c5;}}break;
   case 6:
    CPPRD(x1,2);
    {OBJ x993;OBJ x994;OBJ x995;
     x993=_AImpl_102(x1);
     x994=_AImpl_103(x1);
     x995=_AImpl_84(x1);
     PRD(3,6,*p1);FLD(*p1,3)=x995;
     {TUP5 t=_ATypeDepFormAnalysis_8(x994,x993,x2,x3,x4);
      FLD(*p1,1)=t.c1;
      FLD(*p1,2)=t.c2;
      *p2=t.c3;
      *p3=t.c4;
      *p4=t.c5;}}break;
   case 4:
    CPPRD(x1,2);
    {OBJ x1006;OBJ x1007;OBJ x1008;
     x1006=_AImpl_84(x1);
     x1007=_AImpl_103(x1);
     x1008=_AImpl_102(x1);
     PRD(3,4,*p1);FLD(*p1,3)=x1006;
     {TUP5 t=_ATypeDepFormAnalysis_8(x1007,x1008,x2,x3,x4);
      FLD(*p1,1)=t.c1;
      FLD(*p1,2)=t.c2;
      *p2=t.c3;
      *p3=t.c4;
      *p4=t.c5;}}break;
   case 1:
    {OBJ x1016=FLD(x1,1);OBJ x1017=FLD(x1,2);
     CPPRD(x1016,1);CPPRD(x1017,1);
     {OBJ x1019;
      x1019=_AImpl_84(x1);
      PRD(3,1,*p1);FLD(*p1,3)=x1019;
      {TUP5 t=_ATypeDepExprAnalysis_4(x1016,x1017,x2,x3,x4);
       FLD(*p1,1)=t.c1;
       FLD(*p1,2)=t.c2;
       *p2=t.c3;
       *p3=t.c4;
       *p4=t.c5;}}}break;
   case 2:
    {OBJ x1028=FLD(x1,1);OBJ x1029=FLD(x1,2);
     CPPRD(x1028,1);CPPRD(x1029,1);
     {OBJ x1032;
      x1032=_AImpl_84(x1);
      PRD(3,2,*p1);FLD(*p1,3)=x1032;
      {TUP5 t=_ATypeDepExprAnalysis_4(x1028,x1029,x2,x3,x4);
       FLD(*p1,1)=t.c1;
       FLD(*p1,2)=t.c2;
       *p2=t.c3;
       *p3=t.c4;
       *p4=t.c5;}}}break;
   case 0:
    {OBJ x1040=FLD(x1,1);
     CPPRD(x1040,1);
     {OBJ x1042;
      x1042=_AImpl_84(x1);
      PRD(2,0,*p1);FLD(*p1,2)=x1042;
      {TUP4 t=_ATypeDepExprAnalysis_2(x1040,x2,x3,x4);
       FLD(*p1,1)=t.c1;
       *p2=t.c2;
       *p3=t.c3;
       *p4=t.c4;}}}break;
   case 11:
    HLT("TypeDepFormAnalysis at <unknown> : missing else in substitute\'TypeDepFormAnalysis:formula**cands**globSig**nat->formula**globSig**locSig**err");break;
   default: 
    CPPRD(x1,1);
    {OBJ x910;OBJ x911;
     x910=_AImpl_84(x1);
     x911=_AImpl_92(x1);
     PRD(2,3,*p1);FLD(*p1,2)=x910;
     x1=x911;p1=&FLD(*p1,1);continue;}}
  break;}
 return r;}
extern OBJ _ATypeDepFormAnalysis_2_c(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* substitute */
{OBJ r;
 {TUP4 t=_ATypeDepFormAnalysis_2(x1,x2,x3,x4);
  PRD1(4,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;
  FLD1(r,3)=t.c3;
  FLD1(r,4)=t.c4;}
 return r;}

extern TUP4 _ATypeDepFormAnalysis_5(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* combEqual */
{TUP4 r;
 COPY(x2,1);
 COPY(x3,1);
 CPPRD(x4,1);
 {TUP2 x7;
  x7=_ASubstitution_4(x1,x2,x3,x4,x5);
  if(ISPRM(x7.c1)){
   COPY(x2,1);
   CPPRD(x4,1);
   {OBJ x18;
    PRD(3,11,x18);FLD(x18,1)=x2;FLD(x18,2)=x3;FLD(x18,3)=x4;
    PRD1(2,r.c2);FLD1(r.c2,1)=x4;FLD1(r.c2,2)=__ASeq_6;
    PRD1(2,r.c4);FLD1(r.c4,1)=x18;FLD1(r.c4,2)=__ASeq_6;
    r.c1=x2;r.c3=x5;}
  }else{
   r.c2=x7.c1;r.c3=x7.c2;
   FREE(x3,1);
   FRPRD(x4,1);
   r.c1=x2;r.c4=__ASeq_6;}}
 return r;}
extern OBJ _ATypeDepFormAnalysis_5_c(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* combEqual */
{OBJ r;
 {TUP4 t=_ATypeDepFormAnalysis_5(x1,x2,x3,x4,x5);
  PRD1(4,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;
  FLD1(r,3)=t.c3;
  FLD1(r,4)=t.c4;}
 return r;}

extern TUP4 _ATypeDepFormAnalysis_6(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* combOk */
{TUP4 r;
 FREE(x2,1);
 PRD1(2,r.c2);FLD1(r.c2,1)=x3;FLD1(r.c2,2)=__ASeq_6;
 r.c1=x1;r.c3=x4;r.c4=__ASeq_6;
 return r;}
extern OBJ _ATypeDepFormAnalysis_6_c(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* combOk */
{OBJ r;
 {TUP4 t=_ATypeDepFormAnalysis_6(x1,x2,x3,x4);
  PRD1(4,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;
  FLD1(r,3)=t.c3;
  FLD1(r,4)=t.c4;}
 return r;}

extern TUP4 _ATypeDepFormAnalysis_7(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* analyzePair */
{TUP4 r;
 COPY(x3,1);
 COPY(x4,1);
 {TUP3 x9;
  x9=_ATypeDepFormAnalysis_1(x1,x3,x4,x5,x6);r.c1=x9.c1;
  {TUP3 t=_ATypeDepFormAnalysis_1(x2,x3,x4,x9.c2,x9.c3);
   r.c2=t.c1;
   r.c3=t.c2;
   r.c4=t.c3;}}
 return r;}
extern OBJ _ATypeDepFormAnalysis_7_c(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6) /* analyzePair */
{OBJ r;
 {TUP4 t=_ATypeDepFormAnalysis_7(x1,x2,x3,x4,x5,x6);
  PRD1(4,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;
  FLD1(r,3)=t.c3;
  FLD1(r,4)=t.c4;}
 return r;}

extern TUP5 _ATypeDepFormAnalysis_8(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* substitutePair */
{TUP5 r;
 CPCLS(__ADArray_14,1);
 {TUP2 x7;TUP4 x11;TUP4 x17;
  x7=_ACandidates_28(x3);
  x11=_ATypeDepFormAnalysis_2(x1,x7.c1,x4,x5);r.c1=x11.c1;
  x17=_ATypeDepFormAnalysis_2(x2,x7.c2,x11.c2,x5);r.c2=x17.c1;r.c3=x17.c2;
  r.c4=_ADArrayReduce_6(__ADArray_14,x11.c3,x17.c3);
  r.c5=_AOcError_21(x11.c4,x17.c4);}
 return r;}
extern OBJ _ATypeDepFormAnalysis_8_c(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5) /* substitutePair */
{OBJ r;
 {TUP5 t=_ATypeDepFormAnalysis_8(x1,x2,x3,x4,x5);
  PRD1(5,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;
  FLD1(r,3)=t.c3;
  FLD1(r,4)=t.c4;
  FLD1(r,5)=t.c5;}
 return r;}

init_ATypeDepFormAnalysis()
{
 static int visited=0; if(visited) return; visited=1;
 init_AQuadruple();
 init_ADeclEntry();
 init_APartNameEntry();
 init_AImpExpEntry();
 init_AGlobSigImpl();
 init_ANat();
 init_APragma();
 init_AOcError();
 init_AGlobPragma();
 init_APartName();
 init_AMap();
 init_AImpl();
 init_ASet();
 init_AAnalyzedGlobSig();
 init_ABitset();
 init_AKnowledge();
 init_APatterns();
 init_ACandidates();
 init_AAttributes();
 init_APair();
 init_ADArray();
 init_ASeq();
 init_ANatMap();
 init_AOcPos();
 init_AArray();
 init_ARep();
 init_ASeqReduce();
 init_AFct();
 init_ASeqMap();
 init_AReason();
 init_ATypeDepExprAnalysis();
 init_ASubstitution();
 init_ADArrayReduce();
 init_APrioTab();
 init_ASetByBST();
 init_AGlobSig();
 init_ABSTree();
 init_AName();
 init_ATree();
 init_AOption();
 init_ASeqConv();
 init_AString();
 init_ADenotation();
 init_AOcOptions();
 init_AAbsyFun3();
 init_ACom();
 init_AAnalyzedGlobSigH();
 init_AVoid();
 init_AGlobSigToText();
 init_AChar();
 init_AImpDecl4SigAna();
 init_AStream();
 init_AMySeqFun1();
 init_AFile();
 init_AName4SigAna();
 init_AInt();
 init_ATriple();
 init_AObjects();
 init_AUnion2();
 init_ATable();
 init_APartialSignatures();
 init_AUniqueTable();
 CLS(5,_ATypeDepFormAnalysis_8_c,__ATypeDepFormAnalysis_8);
 CLS(6,_ATypeDepFormAnalysis_7_c,__ATypeDepFormAnalysis_7);
 CLS(4,_ATypeDepFormAnalysis_6_c,__ATypeDepFormAnalysis_6);
 CLS(5,_ATypeDepFormAnalysis_5_c,__ATypeDepFormAnalysis_5);
 CLS(4,_ATypeDepFormAnalysis_2_c,__ATypeDepFormAnalysis_2);
 CLS(5,_ATypeDepFormAnalysis_1_c,__ATypeDepFormAnalysis_1);}

